> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Blacklist Device

> ```
POST api/v1/transaction-monitoring/blacklist-device
```


<Note>
  To unblock or unblacklist a device, use the endpoint below. The request type
  is **`DELETE`**
</Note>

```
  DELETE api/v1/transaction-monitoring/blacklist-device/{transactionId}
```


## OpenAPI

````yaml transaction-monitoring-model.json POST /transaction-monitoring/blacklist-device
openapi: 3.1.0
info:
  title: Sigma API
  description: Sigma Transaction Monitoring API documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sigmaprod.sabipay.com/api/v1
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /transaction-monitoring/blacklist-device:
    post:
      description: Blacklist a certain device
      requestBody:
        description: Blacklist device payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlacklistDevicePayload'
            example:
              transactionId: txn_67f96122c2a7d1f2b6ea1207
      responses:
        '200':
          description: Blacklist device result
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Device blacklisted
                    description: Message after device is blacklisted
              example:
                message: Device blacklisted
        '400':
          description: Invalid input or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BlacklistDevicePayload:
      type: object
      required:
        - transactionId
      properties:
        transactionId:
          type: string
          description: The transactionId of the device you want to blacklist.
      example:
        transactionId: txn_67f96122c2a7d1f2b6ea1207
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      example:
        error: 400
        message: 'Invalid request payload: transactionData.reference is required'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    ApiSecretAuth:
      type: apiKey
      in: header
      name: apiSecret

````